curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/transaction_1234/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": {
"shop": "someshop.com"
}
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
'shop' => 'someshop.com',
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
Transactions
Delete a transaction
Delete a single transaction by order ID.
DELETE
/
tracker
/
transaction
/
{order_id}
/
delete
curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/transaction_1234/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": {
"shop": "someshop.com"
}
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
'shop' => 'someshop.com',
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
Order ID from your shop.
Optional filter to match the transaction by shop.
Show transaction_data properties
Show transaction_data properties
If provided, the transaction is only deleted if it matches this shop value.
curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/transaction_1234/delete \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": {
"shop": "someshop.com"
}
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}/delete");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
'shop' => 'someshop.com',
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": true
}
⌘I